checkpoint_dir: ./run
comment: 4 Cats with left and right viewpoints and cutout augumentations
data:
  crop_bbox: true
  image_size:
  - 480
  - 480
  images_dir: null
  name_keys:
  - name
  - viewpoint
  preprocess_images: false
  test:
    anno_path: /data/db/splits/EDA-multi-species-14/instances_val2023.json
    checkpoint_path: ./run/exp_vp_lrfbd/lp_ms_4cats_vp_co3/model_best.bin
    eval_groups:
    - - species
      - viewpoint
    n_filter_min: 2
    n_subsample_max: 10
  train:
    anno_path: /data/db/splits/EDA-multi-species-14/instances_train2023.json
    n_filter_min: 2
    n_subsample_max: null
  use_full_image_path: true
  val:
    anno_path: /data/db/splits/EDA-multi-species-14/instances_val2023.json
    n_filter_min: 2
    n_subsample_max: 10
  viewpoint_list:
  - left
  - right
engine:
  device: cuda
  epochs: 30
  loss_module: arcface
  num_workers: 0
  seed: 42
  train_batch_size: 10
  use_wandb: true
  valid_batch_size: 12
exp_name: lp_ms_4cats_vp_co3
model_params:
  dropout: 0.0
  fc_dim: 2048
  loss_module: arcface
  ls_eps: 0.0
  margin: 0.19433336875123247
  model_name: efficientnetv2_rw_m
  n_classes: 2468
  pretrained: true
  s: 48.2213064107942
  theta_zero: 0.785
  use_fc: false
project_name: exp_vp_lrfbd
scheduler_params:
  lr_decay: 0.8
  lr_max: 0.0004788666581688286
  lr_min: 2.394333290844143e-05
  lr_ramp_ep: 15
  lr_start: 4.788666581688286e-05
  lr_sus_ep: 0
test:
  batch_size: 8
  fliplr: false
  fliplr_view: []
